[Install]
model = Panasonic UF-4100
Network = 0
USB = 0
Parallel = 1

[PrinterVersion]
2K=Pan4100.ver
AMD64=Pan4100.ver

[Main]
ModelName=UF-4100
SeriesName=Panasonic WORKiO UF-6100/4100 Series
NumDrivers=1
Driver1=PrinterDriver1
HarwareID=USBPRINT\PanasonicUF-410085F0
;OEMURL=
;USBID=
;USBPRINT=
LPTPRINT=PanasonicUF-410085F0

;***********************************************************************
;UF-4100 PCL6
;***********************************************************************
[PrinterDriver1]
PrinterDriverName=Panasonic UF-4100 Ver. 2
LanguageMonitorName=MGCSLM
;PortMonitorName=RPT Network Printer Port
DefaultPrinter=no
SupportOS=2000,AMD64
DefaultSharedName=DP4100

;***********************************************************************
;UF-4100 PCL6 2K
;***********************************************************************
[PrinterDriver1.2000.Install]
DataType=RAW
Driver=PF0NTMPM.DLL
ConfigurationFile=PF0NTMUI.DLL
DataFile=Pan4100.PFD
DependentFiles=CODEC32.DLL,CRCMDL_0.DLL,CRCMDL_1.DLL,MGCSLM.DLL,MGCSLM.INI,PCCPDH.chm,Pf00bm32.dll,Pf01bm32.dll,PF0DLG32.DLL,Pf0dlg32.ini,PF0GTDEV.DLL,Pf0mibrc.ini,PF0NTLIB.DLL,PF0NTMPM.DLL,Pf0ntmpm.ini,PF0NTMUI.DLL,PF0_UI32.DLL,PF0_UMPD.dll,PF0_UMPD.ini,PF1DLG32.DLL,Pf1dlg32.ini,PF1GTDEV.DLL,Pf1mibrc.ini,PF1NTLIB.DLL,PF1NTMPM.DLL,Pf1ntmpm.ini,PF1NTMUI.DLL,PF1_UI32.DLL,PF1_UMPD.dll,PF1_UMPD.ini,PFX300DF.GMA,PFX600DF.GMA,MGCSLM.DLL,Pan4100.pfd,Pan4100.ver,Uf_4100_.ini
HelpFile=PCCPDH.CHM
LanguageMonitorFile=MGCSLM.DLL
;PortMonitorFile=
InfFile=Uf_4100_.inf
BiDirectional=Always

[PrinterDriver1.2000.Uninstall]
DeleteFile001=CODEC32.DLL,WINPRNDRV,NOT_SHARED
DeleteFile002=CRCMDL_0.DLL,WINPRNDRV,NOT_SHARED
DeleteFile003=CRCMDL_1.DLL,WINPRNDRV,NOT_SHARED
DeleteFile004=MGCSLM.INI,WINPRNDRV,NOT_SHARED
DeleteFile005=PCCPDH.chm,WINPRNDRV,NOT_SHARED
DeleteFile006=Pf00bm32.dll,WINPRNDRV,NOT_SHARED
DeleteFile007=Pf01bm32.dll,WINPRNDRV,NOT_SHARED
DeleteFile008=PF0DLG32.DLL,WINPRNDRV,NOT_SHARED
DeleteFile009=Pf0dlg32.ini,WINPRNDRV,NOT_SHARED
DeleteFile010=PF0GTDEV.DLL,WINPRNDRV,NOT_SHARED
DeleteFile011=Pf0mibrc.ini,WINPRNDRV,NOT_SHARED
DeleteFile012=PF0NTLIB.DLL,WINPRNDRV,NOT_SHARED
DeleteFile013=PF0NTMPM.DLL,WINPRNDRV,NOT_SHARED
DeleteFile014=Pf0ntmpm.ini,WINPRNDRV,NOT_SHARED
DeleteFile015=PF0NTMUI.DLL,WINPRNDRV,NOT_SHARED
DeleteFile016=PF0_UI32.DLL,WINPRNDRV,NOT_SHARED
DeleteFile017=PF0_UMPD.dll,WINPRNDRV,NOT_SHARED
DeleteFile018=PF0_UMPD.ini,WINPRNDRV,NOT_SHARED
DeleteFile019=PF1DLG32.DLL,WINPRNDRV,NOT_SHARED
DeleteFile020=Pf1dlg32.ini,WINPRNDRV,NOT_SHARED
DeleteFile021=PF1GTDEV.DLL,WINPRNDRV,NOT_SHARED
DeleteFile022=Pf1mibrc.ini,WINPRNDRV,NOT_SHARED
DeleteFile023=PF1NTLIB.DLL,WINPRNDRV,NOT_SHARED
DeleteFile024=PF1NTMPM.DLL,WINPRNDRV,NOT_SHARED
DeleteFile025=Pf1ntmpm.ini,WINPRNDRV,NOT_SHARED
DeleteFile026=PF1NTMUI.DLL,WINPRNDRV,NOT_SHARED
DeleteFile027=PF1_UI32.DLL,WINPRNDRV,NOT_SHARED
DeleteFile028=PF1_UMPD.dll,WINPRNDRV,NOT_SHARED
DeleteFile029=PF1_UMPD.ini,WINPRNDRV,NOT_SHARED
DeleteFile030=PFX300DF.GMA,WINPRNDRV,NOT_SHARED
DeleteFile031=PFX600DF.GMA,WINPRNDRV,NOT_SHARED
DeleteFile032=Pan4100.pfd,WINPRNDRV,NOT_SHARED
DeleteFile033=Pan4100.ver,WINPRNDRV,NOT_SHARED
DeleteFile034=Uf_4100_.ini,WINPRNDRV,NOT_SHARED
DeleteFile035=Uf_4100_.inf,WININF_OTHER,NOT_SHARED
DeleteFile036=CODEC32.DLL,WINPRNDRV3,SHARED
DeleteFile037=CRCMDL_0.DLL,WINPRNDRV3,SHARED
DeleteFile038=CRCMDL_1.DLL,WINPRNDRV3,SHARED
DeleteFile039=MGCSLM.INI,WINPRNDRV3,SHARED
DeleteFile040=PCCPDH.chm,WINPRNDRV3,SHARED
DeleteFile041=Pf00bm32.dll,WINPRNDRV3,SHARED
DeleteFile042=Pf01bm32.dll,WINPRNDRV3,SHARED
DeleteFile043=PF0DLG32.DLL,WINPRNDRV3,SHARED
DeleteFile044=Pf0dlg32.ini,WINPRNDRV3,SHARED
DeleteFile045=PF0GTDEV.DLL,WINPRNDRV3,SHARED
DeleteFile046=Pf0mibrc.ini,WINPRNDRV3,SHARED
DeleteFile047=PF0NTLIB.DLL,WINPRNDRV3,SHARED
DeleteFile048=PF0NTMPM.DLL,WINPRNDRV3,SHARED
DeleteFile049=Pf0ntmpm.ini,WINPRNDRV3,SHARED
DeleteFile050=PF0NTMUI.DLL,WINPRNDRV3,SHARED
DeleteFile051=PF0_UI32.DLL,WINPRNDRV3,SHARED
DeleteFile052=PF0_UMPD.dll,WINPRNDRV3,SHARED
DeleteFile053=PF0_UMPD.ini,WINPRNDRV3,SHARED
DeleteFile054=PF1DLG32.DLL,WINPRNDRV3,SHARED
DeleteFile055=Pf1dlg32.ini,WINPRNDRV3,SHARED
DeleteFile056=PF1GTDEV.DLL,WINPRNDRV3,SHARED
DeleteFile057=Pf1mibrc.ini,WINPRNDRV3,SHARED
DeleteFile058=PF1NTLIB.DLL,WINPRNDRV3,SHARED
DeleteFile059=PF1NTMPM.DLL,WINPRNDRV3,SHARED
DeleteFile060=Pf1ntmpm.ini,WINPRNDRV3,SHARED
DeleteFile061=PF1NTMUI.DLL,WINPRNDRV3,SHARED
DeleteFile062=PF1_UI32.DLL,WINPRNDRV3,SHARED
DeleteFile063=PF1_UMPD.dll,WINPRNDRV3,SHARED
DeleteFile064=PF1_UMPD.ini,WINPRNDRV3,SHARED
DeleteFile065=PFX300DF.GMA,WINPRNDRV3,SHARED
DeleteFile066=PFX600DF.GMA,WINPRNDRV3,SHARED
DeleteFile067=Pan4100.pfd,WINPRNDRV3,NOT_SHARED
DeleteFile068=Pan4100.ver,WINPRNDRV3,NOT_SHARED
DeleteFile069=Uf_4100_.ini,WINPRNDRV3,NOT_SHARED
DeleteFile070=Uf_4100_.inf,WININF_OTHER,NOT_SHARED
DeleteFile071=MGCSLM.DLL,WINPRNDRV,NOT_SHARED
DeleteFile072=MGCSLM.DLL,WINPRNDRV3,SHARED
DeleteFile073=Pan4100.BPD,WINPRNDRV,NOT_SHARED
DeleteFile074=Pan4100.BPD,WINPRNDRV3,NOT_SHARED


DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic UF-4100 Ver. 2

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PanasonicUF-410085F0,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic UF-4100 Ver. 2,UnBlocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic UF-4100 Ver. 2,UnBlocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic UF-4100 Ver. 2,UnBlocked,NoSubKey

DeleteUserRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey

InhibitedDriver001=Panasonic UF-4100 Ver. 2


;***********************************************************************
;UF-4100 PCL6 AMD64
;***********************************************************************
[PrinterDriver1.AMD64.Install]
DataType=RAW
Driver=PF0NTMPM.DLL
ConfigurationFile=PF0NTMUI.DLL
DataFile=Pan4100.PFD
DependentFiles=CRCMDL_0.dll,CRCMDL_1.dll,PCCPDH.chm,PF00BM32.dll,PF01BM32.dll,PF0DLG32.dll,Pf0dlg32.ini,PF0GTDEV.dll,Pf0mibrc.ini,PF0NTLIB.dll,PF0NTMPM.dll,Pf0ntmpm.ini,PF0NTMUI.dll,PF0_UI32.dll,PF0_UMPD.dll,PF0_UMPD.ini,PF1DLG32.dll,Pf1dlg32.ini,PF1GTDEV.dll,Pf1mibrc.ini,PF1NTLIB.dll,PF1NTMPM.dll,Pf1ntmpm.ini,PF1NTMUI.dll,PF1_UI32.dll,PF1_UMPD.dll,PF1_UMPD.ini,PFX300DF.GMA,PFX600DF.GMA,PFXCODEC.dll,Pan4100.pfd,Pan4100.ver,Uf_4100_.ini
HelpFile=PCCPDH.CHM
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=
BiDirectional=Always

[PrinterDriver1.AMD64.Uninstall]
DeleteFile001=CRCMDL_0.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile002=CRCMDL_1.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile003=PCCPDH.chm,WINPRNDRVX64,NOT_SHARED
DeleteFile004=PF00BM32.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile005=PF01BM32.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile006=PF0DLG32.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile007=Pf0dlg32.ini,WINPRNDRVX64,NOT_SHARED
DeleteFile008=PF0GTDEV.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile009=Pf0mibrc.ini,WINPRNDRVX64,NOT_SHARED
DeleteFile010=PF0NTLIB.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile011=PF0NTMPM.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile012=Pf0ntmpm.ini,WINPRNDRVX64,NOT_SHARED
DeleteFile013=PF0NTMUI.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile014=PF0_UI32.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile015=PF0_UMPD.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile016=PF0_UMPD.ini,WINPRNDRVX64,NOT_SHARED
DeleteFile017=PF1DLG32.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile018=Pf1dlg32.ini,WINPRNDRVX64,NOT_SHARED
DeleteFile019=PF1GTDEV.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile020=Pf1mibrc.ini,WINPRNDRVX64,NOT_SHARED
DeleteFile021=PF1NTLIB.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile022=PF1NTMPM.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile023=Pf1ntmpm.ini,WINPRNDRVX64,NOT_SHARED
DeleteFile024=PF1NTMUI.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile025=PF1_UI32.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile026=PF1_UMPD.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile027=PF1_UMPD.ini,WINPRNDRVX64,NOT_SHARED
DeleteFile028=PFX300DF.GMA,WINPRNDRVX64,NOT_SHARED
DeleteFile029=PFX600DF.GMA,WINPRNDRVX64,NOT_SHARED
DeleteFile030=PFXCODEC.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile031=Pan4100.pfd,WINPRNDRVX64,NOT_SHARED
DeleteFile032=Pan4100.ver,WINPRNDRVX64,NOT_SHARED
DeleteFile033=Uf_4100_.ini,WINPRNDRVX64,NOT_SHARED
DeleteFile034=Uf_4100_.inf,WININF_OTHER,NOT_SHARED
DeleteFile035=CRCMDL_0.dll,WINPRNDRVX643,SHARED
DeleteFile036=CRCMDL_1.dll,WINPRNDRVX643,SHARED
DeleteFile037=PCCPDH.chm,WINPRNDRVX643,SHARED
DeleteFile038=PF00BM32.dll,WINPRNDRVX643,SHARED
DeleteFile039=PF01BM32.dll,WINPRNDRVX643,SHARED
DeleteFile040=PF0DLG32.dll,WINPRNDRVX643,SHARED
DeleteFile041=Pf0dlg32.ini,WINPRNDRVX643,SHARED
DeleteFile042=PF0GTDEV.dll,WINPRNDRVX643,SHARED
DeleteFile043=Pf0mibrc.ini,WINPRNDRVX643,SHARED
DeleteFile044=PF0NTLIB.dll,WINPRNDRVX643,SHARED
DeleteFile045=PF0NTMPM.dll,WINPRNDRVX643,SHARED
DeleteFile046=Pf0ntmpm.ini,WINPRNDRVX643,SHARED
DeleteFile047=PF0NTMUI.dll,WINPRNDRVX643,SHARED
DeleteFile048=PF0_UI32.dll,WINPRNDRVX643,SHARED
DeleteFile049=PF0_UMPD.dll,WINPRNDRVX643,SHARED
DeleteFile050=PF0_UMPD.ini,WINPRNDRVX643,SHARED
DeleteFile051=PF1DLG32.dll,WINPRNDRVX643,SHARED
DeleteFile052=Pf1dlg32.ini,WINPRNDRVX643,SHARED
DeleteFile053=PF1GTDEV.dll,WINPRNDRVX643,SHARED
DeleteFile054=Pf1mibrc.ini,WINPRNDRVX643,SHARED
DeleteFile055=PF1NTLIB.dll,WINPRNDRVX643,SHARED
DeleteFile056=PF1NTMPM.dll,WINPRNDRVX643,SHARED
DeleteFile057=Pf1ntmpm.ini,WINPRNDRVX643,SHARED
DeleteFile058=PF1NTMUI.dll,WINPRNDRVX643,SHARED
DeleteFile059=PF1_UI32.dll,WINPRNDRVX643,SHARED
DeleteFile060=PF1_UMPD.dll,WINPRNDRVX643,SHARED
DeleteFile061=PF1_UMPD.ini,WINPRNDRVX643,SHARED
DeleteFile062=PFX300DF.GMA,WINPRNDRVX643,SHARED
DeleteFile063=PFX600DF.GMA,WINPRNDRVX643,SHARED
DeleteFile064=PFXCODEC.dll,WINPRNDRVX643,SHARED
DeleteFile065=Pan4100.pfd,WINPRNDRVX643,NOT_SHARED
DeleteFile066=Pan4100.ver,WINPRNDRVX643,NOT_SHARED
DeleteFile067=Uf_4100_.ini,WINPRNDRVX643,NOT_SHARED
DeleteFile068=Uf_4100_.inf,WININF_OTHER,NOT_SHARED
DeleteFile069=Pan4100.BPD,WINPRNDRVX64,NOT_SHARED
DeleteFile070=Pan4100.BPD,WINPRNDRVX643,NOT_SHARED


DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic UF-4100 Ver. 2

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PanasonicUF-410085F0,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic UF-4100 Ver. 2,UnBlocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic UF-4100 Ver. 2,UnBlocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic UF-4100 Ver. 2,UnBlocked,NoSubKey

DeleteUserRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey

InhibitedDriver001=Panasonic UF-4100 Ver. 2
